CREATE TABLE LogAfijos ( 
TipoDoc VARCHAR(3) NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
EstadoReg INT DEFAULT (0) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT (0) NOT NULL,
IdCiaCom CHAR(2) DEFAULT ('01') NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogAfijos PRIMARY KEY CLUSTERED (TipoDoc,Numero),
 CONSTRAINT CK_LogAfijosIdCiaCom CHECK ((len([IdCiaCom]) > 0)),
 CONSTRAINT CK_LogAfijosIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogAfijosNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogAfijosTipCom CHECK ((len([TipCom]) > 0)),
 CONSTRAINT CK_LogAfijosTipoDoc CHECK ((len([TipoDoc]) > 0)))
CREATE TABLE LogAfijosDet ( 
TipoDoc VARCHAR(3) NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdActivo VARCHAR(30) NOT NULL,
NomActivo VARCHAR(250) NOT NULL,
Tipo VARCHAR(10) DEFAULT ('ACTIVOS') NOT NULL,
NumSerie VARCHAR(30) NOT NULL,
CodInvent VARCHAR(16) DEFAULT ('0') NOT NULL,
IdGrupo VARCHAR(4) NOT NULL,
IdCCosto VARCHAR(16) NOT NULL,
IdSubCos VARCHAR(16) NOT NULL,
IdInstala VARCHAR(4) NOT NULL,
IdDep VARCHAR(4) NOT NULL,
IdRespons VARCHAR(16) NOT NULL,
IdTipDif VARCHAR(4) DEFAULT ('0') NOT NULL,
IdProv VARCHAR(16) NOT NULL,
FecCompra SMALLDATETIME NOT NULL,
FecActivacion SMALLDATETIME NOT NULL,
NumOrden INT DEFAULT (0) NOT NULL,
IdCiaOrden CHAR(2) DEFAULT ('00') NOT NULL,
NumEntrada INT DEFAULT (0) NOT NULL,
IdCiaEnt CHAR(2) DEFAULT ('00') NOT NULL,
VrBaseDep MONEY DEFAULT (0) NOT NULL,
VidaUtil INT DEFAULT (0) NOT NULL,
MetodoDep VARCHAR(10) DEFAULT ('LINEARECTA') NOT NULL,
Ajustable BIT DEFAULT (0) NOT NULL,
Contable BIT DEFAULT (0) NOT NULL,
CueEnGrupo BIT DEFAULT (0) NOT NULL,
NumPlaca VARCHAR(20) DEFAULT ('0') NOT NULL,
NumDoc VARCHAR(20),
Referencia VARCHAR(50),
Marca VARCHAR(30) DEFAULT ('GENERICO') NOT NULL,
IdCuenta VARCHAR(16) DEFAULT ('0') NOT NULL,
IdCueDep VARCHAR(16) DEFAULT ('0') NOT NULL,
IdCueGasto VARCHAR(16) DEFAULT ('0') NOT NULL,
IdCueAjuste VARCHAR(16) DEFAULT ('0') NOT NULL,
IdCueCorr VARCHAR(16) DEFAULT ('0') NOT NULL,
IdEstado VARCHAR(4) DEFAULT ('0002') NOT NULL,
ItemDoc INT DEFAULT (0) NOT NULL,
Transaccion INT DEFAULT (0) NOT NULL,
TipoValoriza INT DEFAULT (0) NOT NULL,
Observaciones VARCHAR(250),
TipoAmtza CHAR(1) DEFAULT ('T') NOT NULL,
NitCliente VARCHAR(16),
AgenCliente VARCHAR(16),
CantGalones DECIMAL(14,4) DEFAULT (0),
VrMejoras MONEY DEFAULT (0) NOT NULL,
VrDisminuc MONEY DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogAfijosDet PRIMARY KEY CLUSTERED (TipoDoc,Numero,Item),
 CONSTRAINT CK_LogAfijosDetCodInvent CHECK ((len([CodInvent]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdActivo CHECK ((len([IdActivo]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdCCosto CHECK ((len([IdCCosto]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdCiaEnt CHECK ((len([IdCiaEnt]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdCiaOrden CHECK ((len([IdCiaOrden]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdCueAjuste CHECK ((len([IdCueAjuste]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdCueCorr CHECK ((len([IdCueCorr]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdCueDep CHECK ((len([IdCueDep]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdCueGasto CHECK ((len([IdCueGasto]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdCuenta CHECK ((len([IdCuenta]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdDep CHECK ((len([IdDep]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdEstado CHECK ((len([IdEstado]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdGrupo CHECK ((len([IdGrupo]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdInstala CHECK ((len([IdInstala]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdProv CHECK ((len([IdProv]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdRespons CHECK ((len([IdRespons]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdSubCos CHECK ((len([IdSubCos]) > 0)),
 CONSTRAINT CK_LogAfijosDetIdTipDif CHECK ((len([IdTipDif]) > 0)),
 CONSTRAINT CK_LogAfijosDetMarca CHECK ((len([Marca]) > 0)),
 CONSTRAINT CK_LogAfijosDetMetodoDep CHECK ((len([MetodoDep]) > 0)),
 CONSTRAINT CK_LogAfijosDetNomActivo CHECK ((len([NomActivo]) > 0)),
 CONSTRAINT CK_LogAfijosDetNumPlaca CHECK ((len([NumPlaca]) > 0)),
 CONSTRAINT CK_LogAfijosDetNumSerie CHECK ((len([NumSerie]) > 0)),
 CONSTRAINT CK_LogAfijosDetTipo CHECK ((len([Tipo]) > 0)),
 CONSTRAINT CK_LogAfijosDetTipoAmtza CHECK ((len([TipoAmtza]) > 0)),
 CONSTRAINT CK_LogAfijosDetTipoDoc CHECK ((len([TipoDoc]) > 0)))
CREATE TABLE LogBusesAhorro ( 
nAnno INT DEFAULT (0) NOT NULL,
nMes INT DEFAULT (0) NOT NULL,
Calculado BIT DEFAULT (0) NOT NULL,
Observacion VARCHAR(50)
 CONSTRAINT PK_LogBusesAhorro PRIMARY KEY CLUSTERED (nAnno,nMes))
CREATE TABLE LogBusesCias ( 
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
Exportado BIT DEFAULT (0) NOT NULL,
Importado BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogBusesCias PRIMARY KEY CLUSTERED (IdCia,Fecha),
 CONSTRAINT CK_LogBusesCiasIdCia CHECK ((len([IdCia]) > 0)))
CREATE TABLE LogBusesNomina ( 
TipProc VARCHAR(3) NOT NULL,
CdNom VARCHAR(4) NOT NULL,
IdPeriodo VARCHAR(8) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
Cerrado BIT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250),
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_LogBusesNomina PRIMARY KEY CLUSTERED (TipProc,CdNom,IdPeriodo),
 CONSTRAINT CK_LogBusesNominaCdNom CHECK ((len([CdNom]) > 0)),
 CONSTRAINT CK_LogBusesNominaIdPeriodo CHECK ((len([IdPeriodo]) > 0)),
 CONSTRAINT CK_LogBusesNominaIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogBusesNominaTipProc CHECK ((len([TipProc]) > 0)))
CREATE TABLE LogBusesRec ( 
TipoProc VARCHAR(3) DEFAULT ('REC') NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
NomArchivo VARCHAR(50) NOT NULL,
FechaRec SMALLDATETIME NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
CantReg INT DEFAULT (0) NOT NULL,
CantRegErr INT DEFAULT (0) NOT NULL,
EstadoProc INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogBusesRec PRIMARY KEY CLUSTERED (TipoProc,Numero),
 CONSTRAINT CK_LogBusesRecIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogBusesRecNomArchivo CHECK ((len([NomArchivo]) > 0)),
 CONSTRAINT CK_LogBusesRecNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogBusesRecObservacion CHECK ((len([Observacion]) > 0)),
 CONSTRAINT CK_LogBusesRecTipoProc CHECK ((len([TipoProc]) > 0)))
CREATE TABLE LogBusesRecDet ( 
TipoProc VARCHAR(3) DEFAULT ('REC') NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
NumVeh VARCHAR(10) NOT NULL,
IdPropietario VARCHAR(16) NOT NULL,
NomProp VARCHAR(150) NOT NULL,
IdCond VARCHAR(16) NOT NULL,
NomCond VARCHAR(150) NOT NULL,
VehEsPropio BIT DEFAULT (0) NOT NULL,
VrSaldoAnt MONEY DEFAULT (0) NOT NULL,
ValorRec MONEY DEFAULT (0) NOT NULL,
VrDescuento MONEY DEFAULT (0) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
NumRecibo INT DEFAULT (0) NOT NULL,
IdCiaRec CHAR(2) DEFAULT ('00') NOT NULL,
FechaRec SMALLDATETIME NOT NULL,
NumCuenta VARCHAR(50),
Referencia VARCHAR(50),
CodSucursal VARCHAR(10),
DescRegistro VARCHAR(250),
Comentario VARCHAR(250)
 CONSTRAINT PK_LogBusesRecDet PRIMARY KEY CLUSTERED (TipoProc,Numero,Item),
 CONSTRAINT CK_LogBusesRecDetIdCiaRec CHECK ((len([IdCiaRec]) > 0)),
 CONSTRAINT CK_LogBusesRecDetIdCond CHECK ((len([IdCond]) > 0)),
 CONSTRAINT CK_LogBusesRecDetIdPropietario CHECK ((len([IdPropietario]) > 0)),
 CONSTRAINT CK_LogBusesRecDetIdVehiculo CHECK ((len([IdVehiculo]) > 0)),
 CONSTRAINT CK_LogBusesRecDetNomCond CHECK ((len([NomCond]) > 0)),
 CONSTRAINT CK_LogBusesRecDetNomProp CHECK ((len([NomProp]) > 0)),
 CONSTRAINT CK_LogBusesRecDetNumVeh CHECK ((len([NumVeh]) > 0)),
 CONSTRAINT CK_LogBusesRecDetTipoProc CHECK ((len([TipoProc]) > 0)))
CREATE TABLE LogCarnets ( 
IdReg INT DEFAULT (0) NOT NULL,
IdEmpleado VARCHAR(16) NOT NULL,
nContrato INT DEFAULT (0) NOT NULL,
FotoEmp IMAGE NOT NULL
 CONSTRAINT PK_LogCarnets PRIMARY KEY CLUSTERED (IdReg))
CREATE TABLE LogCierres ( 
Proceso VARCHAR(10) NOT NULL,
Anno INT DEFAULT (0) NOT NULL,
nMes INT DEFAULT (0) NOT NULL,
nDia INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Cuenta INT DEFAULT (0) NOT NULL,
ProcessExt1 INT DEFAULT (0) NOT NULL,
ProcessExt2 INT DEFAULT (0) NOT NULL,
ProcessExt3 INT DEFAULT (0) NOT NULL,
ProcessExt4 INT DEFAULT (0) NOT NULL,
ProcessExt5 INT DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogCierres PRIMARY KEY CLUSTERED (Proceso,Anno,nMes,nDia,IdCia),
 CONSTRAINT CK_LogCierresAnno CHECK (([Anno] >= 1990 and [Anno] <= 2050)),
 CONSTRAINT CK_LogCierresIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogCierresIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogCierresnDia CHECK (([nDia] >= 0 and [nDia] <= 31)),
 CONSTRAINT CK_LogCierresnMes CHECK (([nMes] >= 0 and [nMes] <= 13)),
 CONSTRAINT CK_LogCierresNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogCierresProceso CHECK ((len([Proceso]) > 0)))
CREATE TABLE LogCortes ( 
IdLog INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
NumCorte INT DEFAULT (0) NOT NULL,
Planilla INT DEFAULT (0) NOT NULL,
IdCiaPla CHAR(2) NOT NULL,
FecPlanilla SMALLDATETIME NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Observacion VARCHAR(250) NOT NULL,
Archivo1 VARCHAR(50),
Archivo2 VARCHAR(50)
 CONSTRAINT PK_LogCortes PRIMARY KEY CLUSTERED (IdLog,IdCia),
 CONSTRAINT CK_LogCortesIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogCortesIdCiaPla CHECK ((len([IdCiaPla]) > 0)),
 CONSTRAINT CK_LogCortesIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogCortesNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogCortesObservacion CHECK ((len([Observacion]) > 0)))
CREATE TABLE LogCxpAprob ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
TipFac VARCHAR(3) NOT NULL,
Factura VARCHAR(15) NOT NULL,
IdCia CHAR(2) NOT NULL,
ItemFact INT DEFAULT (0) NOT NULL,
IdCuenta VARCHAR(16) NOT NULL,
IdProveedor VARCHAR(16) NOT NULL,
NomProvee VARCHAR(150) NOT NULL,
VrFactura MONEY DEFAULT (0) NOT NULL,
VrAbonado MONEY DEFAULT (0) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
Detalle VARCHAR(100),
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50)
 CONSTRAINT PK_LogCxpAprob PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogCxpAprobFactura CHECK ((len([Factura]) > 0)),
 CONSTRAINT CK_LogCxpAprobIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogCxpAprobIdCuenta CHECK ((len([IdCuenta]) > 0)),
 CONSTRAINT CK_LogCxpAprobIdProveedor CHECK ((len([IdProveedor]) > 0)),
 CONSTRAINT CK_LogCxpAprobIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogCxpAprobNomProvee CHECK ((len([NomProvee]) > 0)),
 CONSTRAINT CK_LogCxpAprobTipFac CHECK ((len([TipFac]) > 0)))
CREATE TABLE LogEgresos ( 
IdLog INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdCta VARCHAR(4) NOT NULL,
IdCuenta VARCHAR(16) NOT NULL,
NumCheque VARCHAR(20),
EnEfectivo BIT DEFAULT (0) NOT NULL,
VrEgreso MONEY DEFAULT (0) NOT NULL,
IdTercero VARCHAR(16) NOT NULL,
Beneficiario VARCHAR(150) NOT NULL,
IdVehiculo VARCHAR(10) DEFAULT ('0') NOT NULL,
IdCCosto VARCHAR(16) NOT NULL,
IdSubCos VARCHAR(16) NOT NULL,
IdCuentaDeb VARCHAR(16) NOT NULL,
TipoAplica CHAR(1) DEFAULT ('N') NOT NULL,
TipFac VARCHAR(3),
Factura VARCHAR(15),
IdCiaFac CHAR(2) DEFAULT ('01'),
ItemFac INT DEFAULT (0) NOT NULL,
VrAbono MONEY DEFAULT (0) NOT NULL,
Referencia VARCHAR(50),
TipDocRef VARCHAR(3),
DocRef INT DEFAULT (0) NOT NULL,
IdCiaRef CHAR(2) DEFAULT ('01'),
NitOtros VARCHAR(16),
CodAgencia VARCHAR(16),
Detalles VARCHAR(250),
EsCorrecto BIT DEFAULT (0) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
TipoEgr VARCHAR(3),
Egreso INT DEFAULT (0) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogEgresos PRIMARY KEY CLUSTERED (IdLog,IdCia,Item),
 CONSTRAINT CK_LogEgresosBeneficiario CHECK ((len([Beneficiario]) > 0)),
 CONSTRAINT CK_LogEgresosIdCCosto CHECK ((len([IdCCosto]) > 0)),
 CONSTRAINT CK_LogEgresosIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogEgresosIdCta CHECK ((len([IdCta]) > 0)),
 CONSTRAINT CK_LogEgresosIdCuenta CHECK ((len([IdCuenta]) > 0)),
 CONSTRAINT CK_LogEgresosIdCuentaDeb CHECK ((len([IdCuentaDeb]) > 0)),
 CONSTRAINT CK_LogEgresosIdSubCos CHECK ((len([IdSubCos]) > 0)),
 CONSTRAINT CK_LogEgresosIdTercero CHECK ((len([IdTercero]) > 0)),
 CONSTRAINT CK_LogEgresosIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogEgresosIdVehiculo CHECK ((len([IdVehiculo]) > 0)),
 CONSTRAINT CK_LogEgresosNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogEgresosTipoAplica CHECK ((len([TipoAplica]) > 0)))
CREATE TABLE LogFactAuto ( 
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
Criterios VARCHAR(100) NOT NULL,
Concepto VARCHAR(100) NOT NULL,
Plazo VARCHAR(30) NOT NULL,
Vendedor VARCHAR(50),
VrSubTotal MONEY DEFAULT (0) NOT NULL,
VrDescuento MONEY DEFAULT (0) NOT NULL,
VrImpuesto MONEY DEFAULT (0) NOT NULL,
VrRetencion MONEY DEFAULT (0) NOT NULL,
VrReteICA MONEY DEFAULT (0) NOT NULL,
VrReteIVA MONEY DEFAULT (0) NOT NULL,
VrCargos MONEY DEFAULT (0) NOT NULL,
VrOtrDcto MONEY DEFAULT (0) NOT NULL,
VrFletes MONEY DEFAULT (0) NOT NULL,
VrNeto MONEY DEFAULT (0) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Observacion VARCHAR(250)
 CONSTRAINT PK_LogFactAuto PRIMARY KEY CLUSTERED (Numero,IdCia),
 CONSTRAINT CK_LogFactAutoConcepto CHECK ((len([Concepto]) > 0)),
 CONSTRAINT CK_LogFactAutoCriterios CHECK ((len([Criterios]) > 0)),
 CONSTRAINT CK_LogFactAutoIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogFactAutoIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogFactAutoNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogFactAutoPlazo CHECK ((len([Plazo]) > 0)))
CREATE TABLE LogFactDetalle ( 
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT (0) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
Factura INT DEFAULT (0) NOT NULL,
IdCiaFac CHAR(2) DEFAULT ('01') NOT NULL,
FechaVence SMALLDATETIME NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16) DEFAULT ('0') NOT NULL,
IdVend VARCHAR(16) NOT NULL,
TarifaCom DECIMAL(14,4) DEFAULT (0) NOT NULL,
Ciudad VARCHAR(50),
TipCom VARCHAR(3) DEFAULT ('0') NOT NULL,
Comprobante INT DEFAULT (0) NOT NULL,
IdCiaCom CHAR(2) DEFAULT ('01') NOT NULL,
NomCiaFact VARCHAR(50),
NomCliente VARCHAR(150),
NomVend VARCHAR(150),
NomAgencia VARCHAR(50),
Detalles VARCHAR(100)
 CONSTRAINT PK_LogFactDetalle PRIMARY KEY CLUSTERED (Numero,IdCia,Item),
 CONSTRAINT CK_LogFactDetalleIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_LogFactDetalleIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogFactDetalleIdCiaCom CHECK ((len([IdCiaCom]) > 0)),
 CONSTRAINT CK_LogFactDetalleIdCiaFac CHECK ((len([IdCiaFac]) > 0)),
 CONSTRAINT CK_LogFactDetalleIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogFactDetalleIdVend CHECK ((len([IdVend]) > 0)),
 CONSTRAINT CK_LogFactDetalleTipCom CHECK ((len([TipCom]) > 0)),
 CONSTRAINT CK_LogFactDetalleTipDoc CHECK ((len([TipDoc]) > 0)))
CREATE TABLE LogFecVence ( 
IdLog INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
Factura INT DEFAULT (0) NOT NULL,
IdCiaFac CHAR(2) NOT NULL,
FechaAnt SMALLDATETIME NOT NULL,
FechaVence SMALLDATETIME NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16) NOT NULL,
IdVend VARCHAR(16) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogFecVence PRIMARY KEY CLUSTERED (IdLog,Item),
 CONSTRAINT CK_LogFecVenceIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_LogFecVenceIdCiaFac CHECK ((len([IdCiaFac]) > 0)),
 CONSTRAINT CK_LogFecVenceIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogFecVenceIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogFecVenceIdVend CHECK ((len([IdVend]) > 0)),
 CONSTRAINT CK_LogFecVenceNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogFecVenceTipDoc CHECK ((len([TipDoc]) > 0)))
CREATE TABLE LogInOut ( 
IdLog INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
HoraEntrada SMALLDATETIME NOT NULL,
HoraSalida SMALLDATETIME,
Finalizo BIT DEFAULT (0) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Dsname VARCHAR(20)
 CONSTRAINT PK_LogInOut PRIMARY KEY CLUSTERED (IdLog,IdCia,IdUsuario),
 CONSTRAINT CK_LogInOutIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogInOutIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogInOutNombre CHECK ((len([Nombre]) > 0)))
CREATE TABLE LogIntAhorros ( 
nAnno INT DEFAULT (0) NOT NULL,
nMes INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
NitPropietario VARCHAR(16) NOT NULL,
NitConductor VARCHAR(16) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
Documento VARCHAR(50) NOT NULL,
Cerrado BIT DEFAULT (0) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_LogIntAhorros PRIMARY KEY CLUSTERED (nAnno,nMes,IdCia,IdVehiculo),
 CONSTRAINT CK_LogIntAhorrosDocumento CHECK ((len([Documento]) > 0)),
 CONSTRAINT CK_LogIntAhorrosIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogIntAhorrosIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogIntAhorrosIdVehiculo CHECK ((len([IdVehiculo]) > 0)),
 CONSTRAINT CK_LogIntAhorrosNitConductor CHECK ((len([NitConductor]) > 0)),
 CONSTRAINT CK_LogIntAhorrosNitPropietario CHECK ((len([NitPropietario]) > 0)))
CREATE TABLE LogIntCias ( 
TipProc VARCHAR(10) NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
TipoInt INT DEFAULT (0) NOT NULL,
FechaInicial SMALLDATETIME,
FechaFinal SMALLDATETIME,
Documentos VARCHAR(100),
Comprobantes VARCHAR(100),
Consolidado BIT DEFAULT (0) NOT NULL,
SobParam BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogIntCias PRIMARY KEY CLUSTERED (TipProc,Numero),
 CONSTRAINT CK_LogIntCiasIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogIntCiasIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogIntCiasNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogIntCiasTipProc CHECK ((len([TipProc]) > 0)))
CREATE TABLE LogIntegra ( 
Numero INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
EstadoLog INT DEFAULT (0) NOT NULL,
Comentarios VARCHAR(250) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogIntegra PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_LogIntegraComentarios CHECK ((len([Comentarios]) > 0)),
 CONSTRAINT CK_LogIntegraIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogIntegraNombre CHECK ((len([Nombre]) > 0)))
CREATE TABLE LogIntegraDet ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
Documento INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
FechaDoc SMALLDATETIME NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT (0) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Observacion VARCHAR(250),
Estado INT DEFAULT (0) NOT NULL,
IdTercero VARCHAR(16) NOT NULL,
NomCia VARCHAR(50),
NomTercero VARCHAR(150)
 CONSTRAINT PK_LogIntegraDet PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogIntegraDetIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogIntegraDetIdCiaCom CHECK ((len([IdCiaCom]) > 0)),
 CONSTRAINT CK_LogIntegraDetIdTercero CHECK ((len([IdTercero]) > 0)),
 CONSTRAINT CK_LogIntegraDetTipCom CHECK ((len([TipCom]) > 0)),
 CONSTRAINT CK_LogIntegraDetTipDoc CHECK ((len([TipDoc]) > 0)))
CREATE TABLE LogIntExporta ( 
TipProc VARCHAR(10) NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
NomTabla VARCHAR(20) NOT NULL,
NumInicial INT DEFAULT (0) NOT NULL,
NumFinal INT DEFAULT (0) NOT NULL,
Cantidad INT DEFAULT (0) NOT NULL,
EstadoDoc INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250) NOT NULL
 CONSTRAINT PK_LogIntExporta PRIMARY KEY CLUSTERED (TipProc,Numero,NomTabla),
 CONSTRAINT CK_LogIntExportaNomTabla CHECK ((len([NomTabla]) > 0)),
 CONSTRAINT CK_LogIntExportaObservacion CHECK ((len([Observacion]) > 0)),
 CONSTRAINT CK_LogIntExportaTipProc CHECK ((len([TipProc]) > 0)))
CREATE TABLE LogIntImporta ( 
TipProc VARCHAR(10) NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
TipoReg INT DEFAULT (0) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumDoc INT DEFAULT (0) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
NomTabla VARCHAR(20) NOT NULL,
NivelRel INT DEFAULT (0) NOT NULL,
EstValida INT DEFAULT (0) NOT NULL,
EstadoReg INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250),
PkFields VARCHAR(50),
PkTypes VARCHAR(50),
PkValues VARCHAR(100),
NuevoId VARCHAR(50),
Reemplazar BIT DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogIntImporta PRIMARY KEY CLUSTERED (TipProc,Numero,Item),
 CONSTRAINT CK_LogIntImportaIdCiaDoc CHECK ((len([IdCiaDoc]) > 0)),
 CONSTRAINT CK_LogIntImportaNomTabla CHECK ((len([NomTabla]) > 0)),
 CONSTRAINT CK_LogIntImportaTipDoc CHECK ((len([TipDoc]) > 0)),
 CONSTRAINT CK_LogIntImportaTipProc CHECK ((len([TipProc]) > 0)))
CREATE TABLE LogIntMora ( 
Numero INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdCia CHAR(2) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
NomCnia VARCHAR(50)
 CONSTRAINT PK_LogIntMora PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_LogIntMoraIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogIntMoraIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogIntMoraNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogIntMoraTipCom CHECK ((len([TipCom]) > 0)))
CREATE TABLE LogIntMoraDet ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
Factura INT DEFAULT (0) NOT NULL,
IdCiaFac CHAR(2) DEFAULT ('01') NOT NULL,
ItemFac INT DEFAULT (0) NOT NULL,
FechaVence SMALLDATETIME NOT NULL,
VrFactura MONEY DEFAULT (0) NOT NULL,
VrAbonado MONEY DEFAULT (0) NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16) DEFAULT ('0') NOT NULL,
IdVend VARCHAR(16) NOT NULL,
FecUltLiq SMALLDATETIME NOT NULL,
FecIniLiq SMALLDATETIME NOT NULL,
FecFinLiq SMALLDATETIME NOT NULL,
DiasLiquida INT DEFAULT (0) NOT NULL,
DiasGracia INT DEFAULT (0) NOT NULL,
VrBaseLiq MONEY DEFAULT (0) NOT NULL,
TasaIntMora DECIMAL(14,4) DEFAULT (0) NOT NULL,
VrLiquida MONEY DEFAULT (0) NOT NULL,
TarifIva DECIMAL(14,4) DEFAULT (0) NOT NULL,
VrIvaInt MONEY DEFAULT (0) NOT NULL,
NumNota INT DEFAULT (0) NOT NULL,
IdCiaNot CHAR(2) DEFAULT ('00') NOT NULL,
Comprobante INT DEFAULT (0) NOT NULL,
NomCiaFact VARCHAR(50),
NomCliente VARCHAR(150),
NomVend VARCHAR(150),
NomAgencia VARCHAR(50)
 CONSTRAINT PK_LogIntMoraDet PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogIntMoraDetIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_LogIntMoraDetIdCiaFac CHECK ((len([IdCiaFac]) > 0)),
 CONSTRAINT CK_LogIntMoraDetIdCiaNot CHECK ((len([IdCiaNot]) > 0)),
 CONSTRAINT CK_LogIntMoraDetIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogIntMoraDetIdVend CHECK ((len([IdVend]) > 0)),
 CONSTRAINT CK_LogIntMoraDetTipDoc CHECK ((len([TipDoc]) > 0)))
CREATE TABLE LogIntNomina ( 
TipProc VARCHAR(3) NOT NULL,
CdNom VARCHAR(4) NOT NULL,
IdPeriodo VARCHAR(8) NOT NULL,
IdCia CHAR(2) NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
NitPropietario VARCHAR(16) NOT NULL,
NitConductor VARCHAR(16) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
Documento VARCHAR(50) NOT NULL,
Cerrado BIT DEFAULT (0) NOT NULL,
VrTotal MONEY DEFAULT (0) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_LogIntNomina PRIMARY KEY CLUSTERED (TipProc,CdNom,IdPeriodo,IdCia,IdVehiculo),
 CONSTRAINT CK_LogIntNominaCdNom CHECK ((len([CdNom]) > 0)),
 CONSTRAINT CK_LogIntNominaDocumento CHECK ((len([Documento]) > 0)),
 CONSTRAINT CK_LogIntNominaIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogIntNominaIdPeriodo CHECK ((len([IdPeriodo]) > 0)),
 CONSTRAINT CK_LogIntNominaIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogIntNominaIdVehiculo CHECK ((len([IdVehiculo]) > 0)),
 CONSTRAINT CK_LogIntNominaNitConductor CHECK ((len([NitConductor]) > 0)),
 CONSTRAINT CK_LogIntNominaNitPropietario CHECK ((len([NitPropietario]) > 0)),
 CONSTRAINT CK_LogIntNominaTipProc CHECK ((len([TipProc]) > 0)))
CREATE TABLE LogLibros ( 
IdLibro VARCHAR(10) NOT NULL,
NomLibro VARCHAR(150) NOT NULL,
PaginaInicial INT DEFAULT (0) NOT NULL,
PaginaFinal INT DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogLibros PRIMARY KEY CLUSTERED (IdLibro),
 CONSTRAINT CK_LogLibrosIdLibro CHECK ((len([IdLibro]) > 0)),
 CONSTRAINT CK_LogLibrosNomLibro CHECK ((len([NomLibro]) > 0)))
CREATE TABLE LogLibrosNum ( 
IdLibro VARCHAR(10) NOT NULL,
NumPagina INT DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogLibrosNum PRIMARY KEY CLUSTERED (IdLibro,NumPagina),
 CONSTRAINT CK_LogLibrosNumIdLibro CHECK ((len([IdLibro]) > 0)))
CREATE TABLE LogMayLiquida ( 
NLiquida INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
Documento INT DEFAULT (0) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
Factura INT DEFAULT (0) NOT NULL,
FecVence SMALLDATETIME,
Modalidad VARCHAR(10),
Cantidad DECIMAL(14,4) DEFAULT (0) NOT NULL,
ValorTotal MONEY DEFAULT (0) NOT NULL,
VrSaldo MONEY DEFAULT (0) NOT NULL,
FecPago SMALLDATETIME,
Anulado BIT DEFAULT (0) NOT NULL,
NContrato INT DEFAULT (0) NOT NULL,
IdCiaCon CHAR(2) NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
NomCliente VARCHAR(150),
IdAgencia VARCHAR(16) DEFAULT ('0') NOT NULL,
NomAgencia VARCHAR(150),
Observacion VARCHAR(250),
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogMayLiquida PRIMARY KEY CLUSTERED (NLiquida,IdCia,Item),
 CONSTRAINT CK_LogMayLiquidaIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_LogMayLiquidaIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogMayLiquidaIdCiaCon CHECK ((len([IdCiaCon]) > 0)),
 CONSTRAINT CK_LogMayLiquidaIdCiaDoc CHECK ((len([IdCiaDoc]) > 0)),
 CONSTRAINT CK_LogMayLiquidaIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogMayLiquidaIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogMayLiquidaNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogMayLiquidaTipDoc CHECK ((len([TipDoc]) > 0)))
CREATE TABLE LogMayoriza ( 
Anno INT DEFAULT (0) NOT NULL,
nMes INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
IdCiaCrea CHAR(2),
Cantidad INT DEFAULT (0) NOT NULL,
IdCuenta VARCHAR(16)
 CONSTRAINT PK_LogMayoriza PRIMARY KEY CLUSTERED (Anno,nMes,IdCia),
 CONSTRAINT CK_LogMayorizaAnno CHECK (([Anno] >= 1990 and [Anno] <= 2050)),
 CONSTRAINT CK_LogMayorizaIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogMayorizaIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogMayorizanMes CHECK (([nMes] >= 0 and [nMes] <= 13)),
 CONSTRAINT CK_LogMayorizaNombre CHECK ((len([Nombre]) > 0)))
CREATE TABLE LogPazySalvo ( 
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
pVehiculo VARCHAR(10) NOT NULL,
NumVeh VARCHAR(10) NOT NULL,
IdPropietario VARCHAR(16) NOT NULL,
SaldoCcte MONEY DEFAULT (0) NOT NULL,
SaldoFc MONEY DEFAULT (0) NOT NULL,
EstadoPs INT DEFAULT (0) NOT NULL,
nAutoriza1 INT DEFAULT (0) NOT NULL,
nAutoriza2 INT DEFAULT (0) NOT NULL,
nAutoriza3 INT DEFAULT (0) NOT NULL,
nAutoriza4 INT DEFAULT (0) NOT NULL,
nAutoriza5 INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250),
NomProp VARCHAR(150),
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogPazySalvo PRIMARY KEY CLUSTERED (Numero,IdCia),
 CONSTRAINT CK_LogPazySalvoIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogPazySalvoIdPropietario CHECK ((len([IdPropietario]) > 0)),
 CONSTRAINT CK_LogPazySalvoIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogPazySalvoNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogPazySalvoNumVeh CHECK ((len([NumVeh]) > 0)),
 CONSTRAINT CK_LogPazySalvopVehiculo CHECK ((len([pVehiculo]) > 0)))
CREATE TABLE LogPrecios ( 
IdLog INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
Tipo VARCHAR(10) NOT NULL,
Listas VARCHAR(10) NOT NULL,
SimbTarif CHAR(1) DEFAULT ('$') NOT NULL,
VrTarifa DECIMAL(14,4) DEFAULT (0) NOT NULL,
BaseTarfa VARCHAR(10) DEFAULT ('PRECIO') NOT NULL,
FecProg SMALLDATETIME,
IdCiaCie CHAR(2),
Estado INT DEFAULT (0) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
FecUpdate SMALLDATETIME,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Observacion VARCHAR(250)
 CONSTRAINT PK_LogPrecios PRIMARY KEY CLUSTERED (IdLog,IdCia),
 CONSTRAINT CK_LogPreciosBaseTarfa CHECK ((len([BaseTarfa]) > 0)),
 CONSTRAINT CK_LogPreciosIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogPreciosIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogPreciosListas CHECK ((len([Listas]) > 0)),
 CONSTRAINT CK_LogPreciosNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogPreciosSimbTarif CHECK ((len([SimbTarif]) > 0)),
 CONSTRAINT CK_LogPreciosTipo CHECK ((len([Tipo]) > 0)))
CREATE TABLE LogPreciosDet ( 
IdLog INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
DescripProd VARCHAR(150) NOT NULL,
VrCosto MONEY DEFAULT (0) NOT NULL,
VrCostPmd MONEY DEFAULT (0) NOT NULL,
PrecioAnt1 MONEY DEFAULT (0) NOT NULL,
PrecioAnt2 MONEY DEFAULT (0) NOT NULL,
PrecioAnt3 MONEY DEFAULT (0) NOT NULL,
PrecioAnt4 MONEY DEFAULT (0) NOT NULL,
PrecioAnt5 MONEY DEFAULT (0) NOT NULL,
Precio1 MONEY DEFAULT (0) NOT NULL,
Precio2 MONEY DEFAULT (0) NOT NULL,
Precio3 MONEY DEFAULT (0) NOT NULL,
Precio4 MONEY DEFAULT (0) NOT NULL,
Precio5 MONEY DEFAULT (0) NOT NULL,
IvaInc1 BIT DEFAULT (0) NOT NULL,
IvaInc2 BIT DEFAULT (0) NOT NULL,
IvaInc3 BIT DEFAULT (0) NOT NULL,
IvaInc4 BIT DEFAULT (0) NOT NULL,
IvaInc5 BIT DEFAULT (0) NOT NULL,
TarifIva DECIMAL(14,4) DEFAULT (0) NOT NULL,
BaseMgn1 CHAR(1),
BaseMgn2 CHAR(1),
BaseMgn3 CHAR(1),
BaseMgn4 CHAR(1),
BaseMgn5 CHAR(1),
CdMgn1 VARCHAR(4),
CdMgn2 VARCHAR(4),
CdMgn3 VARCHAR(4),
CdMgn4 VARCHAR(4),
CdMgn5 VARCHAR(4),
TarifMgn1 DECIMAL(14,4) DEFAULT (0) NOT NULL,
TarifMgn2 DECIMAL(14,4) DEFAULT (0) NOT NULL,
TarifMgn3 DECIMAL(14,4) DEFAULT (0) NOT NULL,
TarifMgn4 DECIMAL(14,4) DEFAULT (0) NOT NULL,
TarifMgn5 DECIMAL(14,4) DEFAULT (0) NOT NULL,
CdDct1 VARCHAR(4),
CdDct2 VARCHAR(4),
CdDct3 VARCHAR(4),
CdDct4 VARCHAR(4),
CdDct5 VARCHAR(4),
TarifDct1 DECIMAL(14,4) DEFAULT (0) NOT NULL,
TarifDct2 DECIMAL(14,4) DEFAULT (0) NOT NULL,
TarifDct3 DECIMAL(14,4) DEFAULT (0) NOT NULL,
TarifDct4 DECIMAL(14,4) DEFAULT (0) NOT NULL,
TarifDct5 DECIMAL(14,4) DEFAULT (0) NOT NULL,
CdMon1 VARCHAR(5),
CdMon2 VARCHAR(5),
CdMon3 VARCHAR(5),
CdMon4 VARCHAR(5),
CdMon5 VARCHAR(5),
IdCiaLta CHAR(2) DEFAULT ('00'),
Sobretasa DECIMAL(14,4) DEFAULT (0) NOT NULL,
ImpGlobal DECIMAL(14,4) DEFAULT (0) NOT NULL,
Soldicom DECIMAL(14,4) DEFAULT (0) NOT NULL,
IvaComb DECIMAL(14,4) DEFAULT (0) NOT NULL,
PrecioRef DECIMAL(14,4) DEFAULT (0) NOT NULL,
CostoRec DECIMAL(14,4) DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogPreciosDet PRIMARY KEY CLUSTERED (IdLog,IdCia,Item),
 CONSTRAINT CK_LogPreciosDetDescripProd CHECK ((len([DescripProd]) > 0)),
 CONSTRAINT CK_LogPreciosDetIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogPreciosDetIdProducto CHECK ((len([IdProducto]) > 0)))
CREATE TABLE LogPrestFact ( 
Numero INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TipoProc VARCHAR(10) NOT NULL,
EstadoProc INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250),
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogPrestFact PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_LogPrestFactIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogPrestFactNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogPrestFactTipoProc CHECK ((len([TipoProc]) > 0)))
CREATE TABLE LogPrestFactDet ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
IdPrestamo INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
ItemCuo INT DEFAULT (0) NOT NULL,
NumCuota INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FecVence SMALLDATETIME NOT NULL,
VrTotal MONEY DEFAULT (0) NOT NULL,
TasaEfeMes DECIMAL(16,8) DEFAULT (0) NOT NULL,
TasaEfeDia DECIMAL(16,8) DEFAULT (0) NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16) NOT NULL,
IdVend VARCHAR(16),
Concepto VARCHAR(10),
CodLinCred VARCHAR(4),
FecInicio SMALLDATETIME,
FecFinal SMALLDATETIME,
DiasLiquida DECIMAL(14,4) DEFAULT (0) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
TipFac VARCHAR(3) DEFAULT ('0') NOT NULL,
Factura INT DEFAULT (0) NOT NULL,
IdCiaFac CHAR(2) DEFAULT ('00') NOT NULL,
FechaFac SMALLDATETIME,
Referencia VARCHAR(50),
Comentario VARCHAR(250),
NomCliente VARCHAR(150)
 CONSTRAINT PK_LogPrestFactDet PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogPrestFactDetIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_LogPrestFactDetIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogPrestFactDetIdCiaFac CHECK ((len([IdCiaFac]) > 0)),
 CONSTRAINT CK_LogPrestFactDetIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogPrestFactDetTipDoc CHECK ((len([TipDoc]) > 0)),
 CONSTRAINT CK_LogPrestFactDetTipFac CHECK ((len([TipFac]) > 0)))
CREATE TABLE LogPrestRec ( 
Numero INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FechaArc SMALLDATETIME NOT NULL,
EstadoProc INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250),
NomArchivo VARCHAR(50) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogPrestRec PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_LogPrestRecIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogPrestRecNomArchivo CHECK ((len([NomArchivo]) > 0)),
 CONSTRAINT CK_LogPrestRecNombre CHECK ((len([Nombre]) > 0)))
CREATE TABLE LogPrestRecDet ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
FechaLiq SMALLDATETIME NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
NomCliente VARCHAR(150) NOT NULL,
ValorRec MONEY DEFAULT (0) NOT NULL,
TipoPrest VARCHAR(50),
Referencia VARCHAR(50),
Estado INT DEFAULT (0) NOT NULL,
NumRecibo INT DEFAULT (0) NOT NULL,
IdCiaRec CHAR(2) DEFAULT ('00') NOT NULL,
FechaRec SMALLDATETIME NOT NULL,
DescRegistro VARCHAR(250),
Comentario VARCHAR(250)
 CONSTRAINT PK_LogPrestRecDet PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogPrestRecDetIdCiaRec CHECK ((len([IdCiaRec]) > 0)),
 CONSTRAINT CK_LogPrestRecDetIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogPrestRecDetNomCliente CHECK ((len([NomCliente]) > 0)))
CREATE TABLE LogPro ( 
IdLog INT DEFAULT (0) NOT NULL,
IdPro VARCHAR(20) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
NomTabla VARCHAR(20) NOT NULL,
Observacion VARCHAR(250) NOT NULL,
nModulo VARCHAR(20) DEFAULT ('PRINCIPAL') NOT NULL,
Dsname VARCHAR(20)
 CONSTRAINT PK_LogPro PRIMARY KEY CLUSTERED (IdLog,IdPro,IdCia),
 CONSTRAINT CK_LogProIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogProIdPro CHECK ((len([IdPro]) > 0)),
 CONSTRAINT CK_LogProIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogPronModulo CHECK ((len([nModulo]) > 0)),
 CONSTRAINT CK_LogProNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogProNomTabla CHECK ((len([NomTabla]) > 0)),
 CONSTRAINT CK_LogProObservacion CHECK ((len([Observacion]) > 0)))
CREATE TABLE LogPsAreas ( 
IdArea INT DEFAULT (0) NOT NULL,
DescripArea VARCHAR(50) NOT NULL,
PwdArea VARCHAR(30)
 CONSTRAINT PK_LogPsAreas PRIMARY KEY CLUSTERED (IdArea),
 CONSTRAINT CK_LogPsAreasDescripArea CHECK ((len([DescripArea]) > 0)))
CREATE TABLE LogRecaudo ( 
Numero INT DEFAULT (0) NOT NULL,
NitEmpresa VARCHAR(16) NOT NULL,
FechaRec SMALLDATETIME NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
HoraCrea VARCHAR(10) NOT NULL,
Secuencia VARCHAR(3) NOT NULL,
TipoCuenta INT DEFAULT (0) NOT NULL,
NumCuenta VARCHAR(20),
TotalReg INT DEFAULT (0) NOT NULL,
ValorTotal MONEY DEFAULT (0) NOT NULL,
EstadoProc INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
NomArchivo VARCHAR(100),
EntidadRec CHAR(2) DEFAULT ('AB') NOT NULL,
Convenio VARCHAR(20)
 CONSTRAINT PK_LogRecaudo PRIMARY KEY CLUSTERED (Numero),
 CONSTRAINT CK_LogRecaudoHoraCrea CHECK ((len([HoraCrea]) > 0)),
 CONSTRAINT CK_LogRecaudoIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogRecaudoNitEmpresa CHECK ((len([NitEmpresa]) > 0)),
 CONSTRAINT CK_LogRecaudoNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogRecaudoObservacion CHECK ((len([Observacion]) > 0)),
 CONSTRAINT CK_LogRecaudoSecuencia CHECK ((len([Secuencia]) > 0)))
CREATE TABLE LogRecDetalle ( 
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
CdAgencia VARCHAR(16) NOT NULL,
TipoDoc VARCHAR(3) NOT NULL,
NumDoc INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('00') NOT NULL,
ValorRec MONEY DEFAULT (0) NOT NULL,
Referencia VARCHAR(50) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
NumRecibo INT DEFAULT (0) NOT NULL,
IdCiaRec CHAR(2) DEFAULT ('00') NOT NULL,
FechaRec SMALLDATETIME NOT NULL,
FechaFact SMALLDATETIME,
ProcPago INT DEFAULT (0) NOT NULL,
MedioPago INT DEFAULT (0) NOT NULL,
SecRegistro INT DEFAULT (0) NOT NULL,
CodEntidad VARCHAR(10),
CodSucursal VARCHAR(10),
NumOper VARCHAR(20),
NumAutoriza VARCHAR(20),
CodServicio VARCHAR(50),
NumLote VARCHAR(10),
DescRegistro VARCHAR(250),
Comentario VARCHAR(250),
IdVend VARCHAR(16),
CodTarCom VARCHAR(4),
TarifaCom DECIMAL(14,4) DEFAULT (0) NOT NULL,
CdCiudad VARCHAR(8),
VrFactura MONEY DEFAULT (0) NOT NULL,
VrAbonado MONEY DEFAULT (0) NOT NULL,
NomCliente VARCHAR(150)
 CONSTRAINT PK_LogRecDetalle PRIMARY KEY CLUSTERED (Numero,Item),
 CONSTRAINT CK_LogRecDetalleCdAgencia CHECK ((len([CdAgencia]) > 0)),
 CONSTRAINT CK_LogRecDetalleIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogRecDetalleIdCiaRec CHECK ((len([IdCiaRec]) > 0)),
 CONSTRAINT CK_LogRecDetalleIdCliente CHECK ((len([IdCliente]) > 0)),
 CONSTRAINT CK_LogRecDetalleReferencia CHECK ((len([Referencia]) > 0)),
 CONSTRAINT CK_LogRecDetalleTipoDoc CHECK ((len([TipoDoc]) > 0)))
CREATE TABLE LogReloj ( 
IdEmpleado VARCHAR(16) NOT NULL,
FechaDia SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
Cantidad DECIMAL(14,4) DEFAULT (0) NOT NULL,
Horas VARCHAR(20),
NomArchivo VARCHAR(50),
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
NomEmpleado VARCHAR(200) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
Observacion VARCHAR(250)
 CONSTRAINT PK_LogReloj PRIMARY KEY CLUSTERED (IdEmpleado,FechaDia,IdConcepto),
 CONSTRAINT CK_LogRelojIdConcepto CHECK ((len([IdConcepto]) > 0)),
 CONSTRAINT CK_LogRelojIdEmpleado CHECK ((len([IdEmpleado]) > 0)),
 CONSTRAINT CK_LogRelojIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogRelojNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogRelojNomEmpleado CHECK ((len([NomEmpleado]) > 0)))
CREATE TABLE LogRetiros ( 
TipoProc VARCHAR(3) NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
Observacion VARCHAR(250) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogRetiros PRIMARY KEY CLUSTERED (TipoProc,Numero),
 CONSTRAINT CK_LogRetirosIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogRetirosNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogRetirosObservacion CHECK ((len([Observacion]) > 0)),
 CONSTRAINT CK_LogRetirosTipoProc CHECK ((len([TipoProc]) > 0)))
CREATE TABLE LogRetirosProd ( 
TipoProc VARCHAR(3) NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(150),
FecUltCompra SMALLDATETIME,
FecUltVenta SMALLDATETIME,
Estado INT DEFAULT (0) NOT NULL,
CantExist DECIMAL(14,4) DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogRetirosProd PRIMARY KEY CLUSTERED (TipoProc,Numero,Item),
 CONSTRAINT CK_LogRetirosProdIdProducto CHECK ((len([IdProducto]) > 0)),
 CONSTRAINT CK_LogRetirosProdTipoProc CHECK ((len([TipoProc]) > 0)))
CREATE TABLE LogSobTasas ( 
IdDec VARCHAR(4) NOT NULL,
IdLog INT DEFAULT (0) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
nAnno INT DEFAULT (0) NOT NULL,
nMes INT DEFAULT (0) NOT NULL,
TipoEntidad VARCHAR(10) NOT NULL,
IdEnterr VARCHAR(8) NOT NULL,
NomEntidad VARCHAR(50) NOT NULL,
CdProducto VARCHAR(16) DEFAULT ('0') NOT NULL,
DescripProd VARCHAR(150),
ClaseProd VARCHAR(20),
CantVentas DECIMAL(14,4) DEFAULT (0) NOT NULL,
CantDev DECIMAL(14,4) DEFAULT (0) NOT NULL,
VrUnitario MONEY DEFAULT (0) NOT NULL,
VrTotalVentas MONEY DEFAULT (0) NOT NULL,
VrTotalDev MONEY DEFAULT (0) NOT NULL,
Tarifa DECIMAL(14,4) DEFAULT (0) NOT NULL,
VrSobVentas MONEY DEFAULT (0) NOT NULL,
VrSobDev MONEY DEFAULT (0) NOT NULL,
VrPrecio MONEY DEFAULT (0) NOT NULL,
FormaPago VARCHAR(10) NOT NULL,
CdClase VARCHAR(4) DEFAULT ('0') NOT NULL,
NomClase VARCHAR(50),
NumCuenta VARCHAR(30),
CdBanco VARCHAR(4) DEFAULT ('0') NOT NULL,
NomBanco VARCHAR(50),
VrPagado MONEY DEFAULT (0) NOT NULL,
Observacion VARCHAR(250),
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Estado INT DEFAULT (0) NOT NULL,
EsCorrecto BIT DEFAULT (0) NOT NULL,
TarifGalon DECIMAL(14,4) DEFAULT (0) NOT NULL,
PorcBase DECIMAL(14,4) DEFAULT (0) NOT NULL
 CONSTRAINT PK_LogSobTasas PRIMARY KEY CLUSTERED (IdDec,IdLog,Item),
 CONSTRAINT CK_LogSobTasasCdBanco CHECK ((len([CdBanco]) > 0)),
 CONSTRAINT CK_LogSobTasasCdClase CHECK ((len([CdClase]) > 0)),
 CONSTRAINT CK_LogSobTasasCdProducto CHECK ((len([CdProducto]) > 0)),
 CONSTRAINT CK_LogSobTasasFormaPago CHECK ((len([FormaPago]) > 0)),
 CONSTRAINT CK_LogSobTasasIdDec CHECK ((len([IdDec]) > 0)),
 CONSTRAINT CK_LogSobTasasIdEnterr CHECK ((len([IdEnterr]) > 0)),
 CONSTRAINT CK_LogSobTasasIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogSobTasasNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogSobTasasNomEntidad CHECK ((len([NomEntidad]) > 0)),
 CONSTRAINT CK_LogSobTasasTipoEntidad CHECK ((len([TipoEntidad]) > 0)))
CREATE TABLE LogSys ( 
IdLog INT DEFAULT (0) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
Documento INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL,
Observacion VARCHAR(250) NOT NULL,
IdTercero VARCHAR(16),
IdVehiculo VARCHAR(10),
EsCom BIT DEFAULT (0) NOT NULL,
Eliminado BIT DEFAULT (0) NOT NULL,
Modificado BIT DEFAULT (0) NOT NULL,
nModulo VARCHAR(20) NOT NULL,
Dsname VARCHAR(20)
 CONSTRAINT PK_LogSys PRIMARY KEY CLUSTERED (IdLog,TipDoc,Documento,IdCia),
 CONSTRAINT CK_LogSysIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogSysIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogSysnModulo CHECK ((len([nModulo]) > 0)),
 CONSTRAINT CK_LogSysNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogSysObservacion CHECK ((len([Observacion]) > 0)),
 CONSTRAINT CK_LogSysTipDoc CHECK ((len([TipDoc]) > 0)))
CREATE TABLE LogTCredito ( 
IdReg INT IDENTITY ( 1,1 ) NOT NULL,
NitCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16) NOT NULL,
FechaCompra SMALLDATETIME NOT NULL,
VrCompra MONEY DEFAULT (0) NOT NULL,
NCuotas INT DEFAULT (0) NOT NULL,
CodAlmacen VARCHAR(4) NOT NULL,
NumCredito VARCHAR(20),
Observacion VARCHAR(250),
EstadoReg INT DEFAULT (0) NOT NULL,
IdPrestamo INT DEFAULT (0) NOT NULL,
CodCia CHAR(2),
FechaReg SMALLDATETIME,
Comentarios VARCHAR(250)
 CONSTRAINT PK_LogTCredito PRIMARY KEY CLUSTERED (IdReg),
 CONSTRAINT CK_LogTCreditoCodAlmacen CHECK ((len([CodAlmacen]) > 0)),
 CONSTRAINT CK_LogTCreditoIdAgencia CHECK ((len([IdAgencia]) > 0)),
 CONSTRAINT CK_LogTCreditoNitCliente CHECK ((len([NitCliente]) > 0)))
CREATE TABLE LogTmsAju ( 
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
NumDocAjs INT DEFAULT (0) NOT NULL,
NumDocAjf INT DEFAULT (0) NOT NULL,
EstadoProc INT DEFAULT (0) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogTmsAju PRIMARY KEY CLUSTERED (Numero,IdCia),
 CONSTRAINT CK_LogTmsAjuIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogTmsAjuIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogTmsAjuNombre CHECK ((len([Nombre]) > 0)))
CREATE TABLE LogTmsAjuProd ( 
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
DescripProd VARCHAR(150) NOT NULL,
TipFac VARCHAR(3) DEFAULT ('0') NOT NULL,
Factura INT DEFAULT (0) NOT NULL,
IdCiaFac CHAR(2) DEFAULT ('00') NOT NULL,
NumGuia INT DEFAULT (0) NOT NULL,
IdCiaGuia CHAR(2) DEFAULT ('00') NOT NULL,
CdTanque VARCHAR(4),
CantFact DECIMAL(14,4) DEFAULT (0) NOT NULL,
CantGuia DECIMAL(14,4) DEFAULT (0) NOT NULL,
galsbruto DECIMAL(14,4) DEFAULT (0) NOT NULL,
galsneto DECIMAL(14,4) DEFAULT (0) NOT NULL,
Temperatura DECIMAL(14,4) DEFAULT (0) NOT NULL,
Densidad DECIMAL(14,4) DEFAULT (0) NOT NULL,
Referencia VARCHAR(50),
Observacion VARCHAR(250),
NitCliente VARCHAR(16),
CdAgencia VARCHAR(16)
 CONSTRAINT PK_LogTmsAjuProd PRIMARY KEY CLUSTERED (Numero,IdCia,Item),
 CONSTRAINT CK_LogTmsAjuProdDescripProd CHECK ((len([DescripProd]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdIdCiaFac CHECK ((len([IdCiaFac]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdIdCiaGuia CHECK ((len([IdCiaGuia]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdIdProducto CHECK ((len([IdProducto]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdTipFac CHECK ((len([TipFac]) > 0)))
CREATE TABLE LogTraTarifas ( 
TipDoc VARCHAR(3) NOT NULL,
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT (0) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdMercancia VARCHAR(16) NOT NULL,
DescripMcias VARCHAR(250) NOT NULL,
Cantidad DECIMAL(14,4) DEFAULT (0) NOT NULL,
PesoNeto DECIMAL(14,4) DEFAULT (0) NOT NULL,
Volumen DECIMAL(14,4) DEFAULT (0) NOT NULL,
Cases INT DEFAULT (0) NOT NULL,
Cajas INT DEFAULT (0) NOT NULL,
Palets INT DEFAULT (0) NOT NULL,
TarifClie MONEY DEFAULT (0) NOT NULL,
TarifPago MONEY DEFAULT (0) NOT NULL,
TarifTabla MONEY DEFAULT (0) NOT NULL,
VrDeclarado MONEY DEFAULT (0) NOT NULL,
VrSeguro MONEY DEFAULT (0) NOT NULL,
TarifSeguro DECIMAL(14,4) DEFAULT (0) NOT NULL,
UndTarifa VARCHAR(10) DEFAULT ('PESO') NOT NULL,
UndTarPago VARCHAR(10) DEFAULT ('PESO') NOT NULL,
TipoTarifa VARCHAR(10),
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogTraTarifas PRIMARY KEY CLUSTERED (TipDoc,Numero,IdCia,Item),
 CONSTRAINT CK_LogTraTarifasDescripMcias CHECK ((len([DescripMcias]) > 0)),
 CONSTRAINT CK_LogTraTarifasIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogTraTarifasIdMercancia CHECK ((len([IdMercancia]) > 0)),
 CONSTRAINT CK_LogTraTarifasIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogTraTarifasNombre CHECK ((len([Nombre]) > 0)),
 CONSTRAINT CK_LogTraTarifasTipDoc CHECK ((len([TipDoc]) > 0)),
 CONSTRAINT CK_LogTraTarifasUndTarifa CHECK ((len([UndTarifa]) > 0)))
GO
 CREATE NONCLUSTERED INDEX IX_LogAfijosComprobante ON LogAfijos(TipCom,Comprobante,IdCiaCom)

GO
 CREATE NONCLUSTERED INDEX IX_LogBusesRecFechaRec ON LogBusesRec(FechaRec)
 CREATE NONCLUSTERED INDEX IX_LogBusesRecNomArchivo ON LogBusesRec(NomArchivo)

GO
ALTER TABLE LogBusesRecDet ADD 
 CONSTRAINT FK_LogBusesRecDet_LogBusesRec FOREIGN KEY (TipoProc,Numero) REFERENCES [dbo].[LogBusesRec] (TipoProc,Numero)
GO
 CREATE NONCLUSTERED INDEX IX_LogBusesRecDetIdVehiculo ON LogBusesRecDet(IdVehiculo)

GO
 CREATE NONCLUSTERED INDEX IX_LogCierresEstado ON LogCierres(Estado)
 CREATE NONCLUSTERED INDEX IX_LogCierresFecha ON LogCierres(Fecha)

GO
 CREATE NONCLUSTERED INDEX IX_LogCortesPlanilla ON LogCortes(Planilla,IdCiaPla)
 CREATE NONCLUSTERED INDEX IX_LogCortesFecha ON LogCortes(Fecha)
 CREATE NONCLUSTERED INDEX IX_LogCortesNumCorte ON LogCortes(NumCorte)
 CREATE NONCLUSTERED INDEX IX_LogCortesIdUsuario ON LogCortes(IdUsuario)

GO
 CREATE NONCLUSTERED INDEX IX_LogCxpAprobFecha ON LogCxpAprob(Fecha)
 CREATE NONCLUSTERED INDEX IX_LogCxpAprobFactura ON LogCxpAprob(TipFac,Factura,IdCia,ItemFact)
 CREATE NONCLUSTERED INDEX IX_LogCxpAprobIdUsuario ON LogCxpAprob(IdUsuario)
 CREATE NONCLUSTERED INDEX IX_LogCxpAprobIdProveedor ON LogCxpAprob(IdProveedor)

GO
 CREATE NONCLUSTERED INDEX IX_LogEgresosIdCuenta ON LogEgresos(IdCuenta)
 CREATE NONCLUSTERED INDEX IX_LogEgresosIdTercero ON LogEgresos(IdTercero)

GO
 CREATE NONCLUSTERED INDEX IX_LogFactAutoFecha ON LogFactAuto(Fecha)

GO
ALTER TABLE LogFactDetalle ADD 
 CONSTRAINT FK_LogFactDetalle_LogFactAuto FOREIGN KEY (Numero,IdCia) REFERENCES [dbo].[LogFactAuto] (Numero,IdCia)
GO
 CREATE NONCLUSTERED INDEX IX_LogFactDetalleFactura ON LogFactDetalle(TipDoc,Factura,IdCiaFac)

GO
 CREATE NONCLUSTERED INDEX IX_LogFecVenceFecha ON LogFecVence(Fecha)
 CREATE NONCLUSTERED INDEX IX_LogFecVenceFactura ON LogFecVence(TipDoc,Factura,IdCiaFac)
 CREATE NONCLUSTERED INDEX IX_LogFecVenceIdUsuario ON LogFecVence(IdUsuario)

GO
 CREATE NONCLUSTERED INDEX IX_LogIntCiasFecha ON LogIntCias(Fecha)

GO
ALTER TABLE LogIntegraDet ADD 
 CONSTRAINT FK_LogIntegraDet_LogIntegra FOREIGN KEY (Numero) REFERENCES [dbo].[LogIntegra] (Numero)
GO
 CREATE NONCLUSTERED INDEX IX_LogIntegraDetDocumento ON LogIntegraDet(TipDoc,Documento,IdCia)

GO
ALTER TABLE LogIntExporta ADD 
 CONSTRAINT FK_LogIntExporta_LogIntCias FOREIGN KEY (TipProc,Numero) REFERENCES [dbo].[LogIntCias] (TipProc,Numero)
GO
ALTER TABLE LogIntImporta ADD 
 CONSTRAINT FK_LogIntImporta_LogIntCias FOREIGN KEY (TipProc,Numero) REFERENCES [dbo].[LogIntCias] (TipProc,Numero)
GO
 CREATE NONCLUSTERED INDEX IX_LogIntImportaNumDoc ON LogIntImporta(TipDoc,NumDoc,IdCiaDoc)
 CREATE NONCLUSTERED INDEX IX_LogIntImportaNomTabla ON LogIntImporta(NomTabla)

GO
 CREATE NONCLUSTERED INDEX IX_LogIntMoraFecha ON LogIntMora(Fecha)

GO
 CREATE NONCLUSTERED INDEX IX_LogIntMoraDetFactura ON LogIntMoraDet(TipDoc,Factura,IdCiaFac,ItemFac)
 CREATE NONCLUSTERED INDEX IX_LogIntMoraDetIdCliente ON LogIntMoraDet(IdCliente)

GO
 CREATE NONCLUSTERED INDEX IX_LogPreciosFecha ON LogPrecios(Fecha)
 CREATE NONCLUSTERED INDEX IX_LogPreciosTipo ON LogPrecios(Tipo)

GO
ALTER TABLE LogPreciosDet ADD 
 CONSTRAINT FK_LogPreciosDet_LogPrecios FOREIGN KEY (IdLog,IdCia) REFERENCES [dbo].[LogPrecios] (IdLog,IdCia)
GO
 CREATE NONCLUSTERED INDEX IX_LogPreciosDetIdProducto ON LogPreciosDet(IdProducto)

GO
ALTER TABLE LogPrestFactDet ADD 
 CONSTRAINT FK_LogPrestFactDet_LogPrestFact FOREIGN KEY (Numero) REFERENCES [dbo].[LogPrestFact] (Numero)
GO
 CREATE NONCLUSTERED INDEX IX_LogPrestFactDetIdPrestamo ON LogPrestFactDet(TipDoc,IdPrestamo,IdCia)
 CREATE NONCLUSTERED INDEX IX_LogPrestFactDetIdCliente ON LogPrestFactDet(IdCliente)

GO
ALTER TABLE LogPrestRecDet ADD 
 CONSTRAINT FK_LogPrestRecDet_LogPrestRec FOREIGN KEY (Numero) REFERENCES [dbo].[LogPrestRec] (Numero)
GO
 CREATE NONCLUSTERED INDEX IX_LogProTimeSys ON LogPro(TimeSys)
 CREATE NONCLUSTERED INDEX IX_LogProIdUsuario ON LogPro(IdUsuario)
 CREATE NONCLUSTERED INDEX IX_LogProNomTabla ON LogPro(NomTabla)

GO
 CREATE NONCLUSTERED INDEX IX_LogRecaudoFechaRec ON LogRecaudo(FechaRec)
 CREATE NONCLUSTERED INDEX IX_LogRecaudoIdUsuario ON LogRecaudo(IdUsuario)

GO
ALTER TABLE LogRecDetalle ADD 
 CONSTRAINT FK_LogRecDetalle_LogRecaudo FOREIGN KEY (Numero) REFERENCES [dbo].[LogRecaudo] (Numero)
GO
 CREATE NONCLUSTERED INDEX IX_LogRecDetalleIdCliente ON LogRecDetalle(IdCliente)
 CREATE NONCLUSTERED INDEX IX_LogRecDetalleNumRecibo ON LogRecDetalle(NumRecibo,IdCiaRec)

GO
 CREATE NONCLUSTERED INDEX IX_LogSobTasasnAnno ON LogSobTasas(nAnno,nMes)
 CREATE NONCLUSTERED INDEX IX_LogSobTasasIdEnterr ON LogSobTasas(IdEnterr)
 CREATE NONCLUSTERED INDEX IX_LogSobTasasIdUsuario ON LogSobTasas(IdUsuario)

GO
 CREATE NONCLUSTERED INDEX IX_LogSysTimeSys ON LogSys(TimeSys)
 CREATE NONCLUSTERED INDEX IX_LogSysIdUsuario ON LogSys(IdUsuario)

GO
 CREATE NONCLUSTERED INDEX IX_LogTCreditoNitCliente ON LogTCredito(NitCliente,IdAgencia)

GO
 CREATE NONCLUSTERED INDEX IX_LogTmsAjuFecha ON LogTmsAju(Fecha)

GO
ALTER TABLE LogTmsAjuProd ADD 
 CONSTRAINT FK_LogTmsAjuProd_LogTmsAju FOREIGN KEY (Numero,IdCia) REFERENCES [dbo].[LogTmsAju] (Numero,IdCia)
GO
 CREATE NONCLUSTERED INDEX IX_LogTmsAjuProdIdProducto ON LogTmsAjuProd(IdProducto)
 CREATE NONCLUSTERED INDEX IX_LogTmsAjuProdFactura ON LogTmsAjuProd(TipFac,Factura,IdCiaFac)

GO
 CREATE NONCLUSTERED INDEX IX_LogTraTarifasFecha ON LogTraTarifas(Fecha)

GO
